### Method

# Ide Pipeline build_finish

#### Declaration

    gboolean
    ide_pipeline_build_finish (
      IdePipeline* self,
      GAsyncResult* result,
      GError** error
    )

#### Description

This function completes the asynchronous request to build up to a particular phase of the build pipeline.

Available since: | 3.32

#### Parameters

`result` | `GAsyncResult`
| A `GAsyncResult` provided to callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the build stages were buildd successfully up to the requested build phase provided to ide_pipeline_build_async().